Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.dockbar.event
Interface DockbarListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  ActiveDockableHandler, DockbarListener.Stub

    public interface DockbarListener

extends EventListener

Author:
  Christopher Butler

Nested Class Summary
`static class` | `DockbarListener.Stub`

Method Summary
`void` | `dockableCollapsed(DockbarEvent evt)`
`void` | `dockableExpanded(DockbarEvent evt)`
`void` | `dockableLocked(DockbarEvent evt)`
`void` | `minimizeCompleted(DockbarEvent evt)`
`void` | `minimizeStarted(DockbarEvent evt)`

Method Detail

### dockableExpanded

    void dockableExpanded(DockbarEvent evt)

### dockableLocked

    void dockableLocked(DockbarEvent evt)

### dockableCollapsed

    void dockableCollapsed(DockbarEvent evt)

### minimizeStarted

    void minimizeStarted(DockbarEvent evt)

### minimizeCompleted

    void minimizeCompleted(DockbarEvent evt)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD